import { OnInit, ViewContainerRef } from '@angular/core';
import { Section } from '../../editor/highlighter';
import { MatDialogRef } from '@angular/material/dialog';
import { ThemeService } from '@dotglitch/ngx-common';
import * as i0 from "@angular/core";
export declare class ImageEditorComponent implements OnInit {
    private readonly viewContainer;
    private readonly dialogRef;
    private readonly theme;
    image: HTMLImageElement;
    section: Section;
    private editor;
    constructor(viewContainer: ViewContainerRef, dialogRef: MatDialogRef<any>, theme: ThemeService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageEditorComponent, "app-image-editor", never, { "image": { "alias": "image"; "required": false; }; "section": { "alias": "section"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=image-editor.component.d.ts.map