import { MatDialog } from '@angular/material/dialog';
import { StackEditorComponent } from './editor.component';
export declare class EditorActions {
    stackEditor?: StackEditorComponent;
    dialog?: MatDialog;
    get editor(): import("./editor/vanilla-mirror").VanillaMirror;
    get wrapSelection(): (before?: string, after?: string, indent?: number, insertNewline?: boolean) => void;
    colorizeText(color: string): void;
    setTextFont(font: string): void;
    boldText(): void;
    italicizeText(): void;
    strikethroughText(): void;
    blockQuoteText(): void;
    insertOrderedList(): void;
    insertList(): void;
    insertCheckList(): void;
    insertInlineCode(): void;
    insertCodeBlock(): void;
    insertComment(): void;
    /**
      * | Heading 1 |     |
        | ---       | --- |
        |           |     |
     */
    insertTable(cols: number, rows: number): void;
    openImageDialog(): void;
    openLinkDialog(): void;
    constructor(stackEditor?: StackEditorComponent, dialog?: MatDialog);
}
//# sourceMappingURL=editor-actions.d.ts.map