import { CommandPaletteService } from '@dotglitch/ngx-common';
import { StackEditorComponent } from './editor.component';
import { MatDialog } from '@angular/material/dialog';
export declare class KeyCommands {
    private readonly element;
    private readonly commandPalette;
    private readonly stackEditor;
    private readonly dialog;
    get editor(): import("./editor/vanilla-mirror").VanillaMirror;
    get wrapSelection(): (before?: string, after?: string, indent?: number, insertNewline?: boolean) => void;
    private actions;
    constructor(element: HTMLElement, commandPalette: CommandPaletteService, stackEditor: StackEditorComponent, dialog: MatDialog);
    dispose(): void;
    private readonly commands;
}
//# sourceMappingURL=key-commands.d.ts.map